Loading...
Searching...
No Matches
Internal parser FSM
Python client bindings » Classes to receive keypresses » Classes to send commands

Internal parser FSM. More...

## Topics

| Commands to control lircd
| FSM pylint: enable=missing-docstring,redefined-variable-type.

## Classes

class | lirc.client._State
| Internal FSM state. More...

## Functions

| lirc.client._bad_packet_exception (self, line)
| lirc.client._begin (self, line)
| lirc.client._command (self, line)
| lirc.client._result (self, line)
| lirc.client._data (self, line)
| lirc.client._line_count (self, line)
| lirc.client._lines (self, line)
| lirc.client._end (self, line)
| lirc.client._sighup_end (self, line)

## Detailed Description

Internal parser FSM.

pylint: disable=missing-docstring,redefined-variable-type

## Function Documentation

## _bad_packet_exception()

lirc.client._bad_packet_exception | ( |  | self,
|  |  | line )

protected

Definition at line 503 of file client.py.

## _begin()

lirc.client._begin | ( |  | self,
|  |  | line )

protected

Definition at line 508 of file client.py.

## _command()

lirc.client._command | ( |  | self,
|  |  | line )

protected

Definition at line 512 of file client.py.

## _data()

lirc.client._data | ( |  | self,
|  |  | line )

protected

Definition at line 528 of file client.py.

## _end()

lirc.client._end | ( |  | self,
|  |  | line )

protected

Definition at line 551 of file client.py.

## _line_count()

lirc.client._line_count | ( |  | self,
|  |  | line )

protected

Definition at line 536 of file client.py.

## _lines()

lirc.client._lines | ( |  | self,
|  |  | line )

protected

Definition at line 546 of file client.py.

## _result()

lirc.client._result | ( |  | self,
|  |  | line )

protected

Definition at line 521 of file client.py.

## _sighup_end()

lirc.client._sighup_end | ( |  | self,
|  |  | line )

protected

Definition at line 556 of file client.py.